unit UWaitCursor;

interface
{$IFDEF WIN32}
  uses Controls, Forms;
{$ENDIF}
{$IFDEF LINUX}
  uses QControls, QForms;
{$ENDIF}
type
  IWaitCursor = interface
  end;

  TWaitCursor = class(TInterfacedObject, IWaitCursor)
  private
    OldCursor: TCursor;
  public
    constructor Create;
    destructor Destroy;override;
  end;

implementation

{ TWaitCursor }

constructor TWaitCursor.Create;
begin
  inherited;
  OldCursor:= Screen.Cursor;
  Screen.Cursor:= crHourGlass;
end;

destructor TWaitCursor.Destroy;
begin
  Screen.Cursor:= OldCursor;
  inherited;

end;

end.
