unit KGsfImport;
{$A8}{$Z4}

interface
uses Libc, KGlibImport;
const
  libgsf = 'libgsf-1.so.1';
  libxml='libxml2.so';

type
  TGsfInput= pointer;
  TGsfOutput=pointer;
  TGsfInFile=pointer;
  TGsfOutFile=pointer;

  PGsfInput=^TGsfInput;
  PGsfOutput=^TGsfOutput;
  PGsfInFile=^TGsfInFile;
  PGsfOutFile=^TGsfOutFile;

  GsfOff_t=  (
    GSF_SEEK_SET,
    GSF_SEEK_CUR,
    GSF_SEEK_END
  );

  procedure xmlParserError;cdecl;external libxml; //this is not to be called... just to load the lib

type
  TXmlLoader=class //not to be called...
  protected
    procedure xmlParserError1;virtual;
  end;

  {$I libgsfHdr.inc}
implementation

{ TXmlLoader }

procedure TXmlLoader.xmlParserError1;
begin
  xmlParserError;
end;

end.
