unit UEscherUtil;

interface
type
  TEscherRecordHeader = packed record
    Instance: word;
    Id: word;
    Size: Cardinal;
  end;

  function GetEscherIdName(Const Id: word): string;

implementation
function GetEscherIdName(Const Id: word): string;
begin
  case Id of
    $F000: Result:='DggContainer';
    $F006: Result:='Dgg';
    $F016: Result:='CLSID';
    $F00B: Result:='OPT';
    $F11A: Result:='ColorMRU';
    $F11E: Result:='SplitMenuColors';
    $F001: Result:='BstoreContainer';
    $F007: Result:='BSE';
    $F002: Result:='DgContainer';
    $F008: Result:='Dg';
    $F118: Result:='RegroupItem';
    $F120: Result:='ColorScheme';
    $F003: Result:='SpgrContainer';
    $F004: Result:='SpContainer';
    $F009: Result:='Spgr';
    $F00A: Result:='Sp';
    $F00C: Result:='Textbox';
    $F00D: Result:='ClientTextbox';
    $F00E: Result:='Anchor';
    $F00F: Result:='ChildAnchor';
    $F010: Result:='ClientAnchor';
    $F011: Result:='ClientData';
    $F11F: Result:='OleObject';
    $F11D: Result:='DeletedPspl';
    $F005: Result:='SolverContainer';
    $F012: Result:='ConnectorRule';
    $F013: Result:='AlignRule';
    $F014: Result:='ArcRule';
    $F015: Result:='ClientRule';
    $F017: Result:='CalloutRule';
    $F018..$F117: Result:='BLIP';
    $F119: Result:='btSelection';
    else Result:=' ???? ';
  end; //case
end;

end.
