unit UAddRange;

interface

uses
  Forms,
  StdCtrls, UFLxMessages, db, Buttons, Controls, Classes, UXlsDB, SysUtils;

type
  TAddRange = class(TForm)
    cbName: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    edRange: TEdit;
    BtnOk: TBitBtn;
    BitBtn2: TBitBtn;
    procedure cbNameChange(Sender: TObject);
  private
    { Private declarations }
  public
    procedure InitData(const RangeTxt: string; const aDataModule: TComponent);
    { Public declarations }
  end;

implementation

{$R *.DFM}

{ TAddRange }

procedure TAddRange.InitData(const RangeTxt: string; const aDataModule: TComponent);
var
  i: integer;
  IDs: IXlsDataSet;
begin
  edRange.Text:=RangeTxt;

  cbName.Text:='';
  BtnOk.Enabled:=false;
  cbName.Items.Clear;
  for i:=0 to aDataModule.ComponentCount-1 do
  begin
    if (aDataModule.Components[i]is TDataSet) then
     cbName.Items.Add(DataSetStr+(aDataModule.Components[i] as TDataSet).Name+DataSetStr);
    if Supports(aDataModule.Components[i], IXlsDataSet, IDs) then
     cbName.Items.Add(DataSetStr+IDs.DsName+DataSetStr);
  end;
end;

procedure TAddRange.cbNameChange(Sender: TObject);
begin
  BtnOk.Enabled:=cbName.Text<>'';
end;

end.
